HttpMessage::getParentMessage
HttpMessage::getRequestUrl
HttpMessage
PHP Manual

# HttpMessage::getRequestMethod

(PECL pecl_http >= 0.10.0)

HttpMessage::getRequestMethod — Get request method

### Description

public string HttpMessage::getRequestMethod ( void )

Get the Request Method of the Message.

### Return Values

Returns the request method name on success, or `FALSE` if the message is not of type HttpMessage::`TYPE_REQUEST`.

HttpMessage::getParentMessage
HttpMessage::getRequestUrl
HttpMessage
PHP Manual